﻿Imports System.Data.SqlClient

Public Class _Default
    Inherits Page
    Private descriptionValue As String = Nothing

    Dim service As New localhost.WebService1


    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
        'If Not Me.IsPostBack Then
        '    Me.BindAppointments()
        'End If
       
        Schedule1.AppointmentSettings.DataSource = cargardatos()
    End Sub


    Private Function cargardatos() As DataTable
        Dim dt As New DataTable

        dt.Columns.Add("Id", Type.GetType("System.Int32"))
        dt.Columns.Add("Subject", Type.GetType("System.String"))
        dt.Columns.Add("Description", Type.GetType("System.String"))
        dt.Columns.Add("AllDay", Type.GetType("System.Boolean"))
        dt.Columns.Add("StartTime", Type.GetType("System.String"))
        dt.Columns.Add("EndTime", Type.GetType("System.String"))

        Dim dr As DataRow
        dr = dt.NewRow()
        dr("Id") = 1
        dr("Subject") = "Prueba"
        dr("Description") = "esto es una prueba"
        dr("AllDay") = False
        dr("StartTime") = "06/18/2015 15:30:00"
        dr("EndTime") = "06/18/2015 16:30:00"
        dt.Rows.Add(dr)
        Return dt

    End Function

    Private Sub BindAppointments()
        Dim loc As New localhost.WebService1
        Dim appointmentsData As DataTable
        appointmentsData = loc.BindAppointments()   ' Here we are calling the BindAppointments webservice method to read the data
        Schedule1.AppointmentSettings.DataSource = appointmentsData   'Here you need to pass the appointment value
    End Sub

    Private m_Arguments As Dictionary(Of String, Object)
    Public Property Arguments() As Dictionary(Of String, Object)
        Get
            Return m_Arguments
        End Get
        Set(value As Dictionary(Of String, Object))
            m_Arguments = value
        End Set
    End Property
    Protected Sub Schedule1_ServerAppointmentSaved(sender As Object, e As Syncfusion.JavaScript.Web.ScheduleEventArgs)
        Arguments = TryCast(e.Arguments("appointment"), Dictionary(Of String, Object))
        Dim list = TryCast(Arguments, Dictionary(Of String, Object))
        descriptionValue = If(list.ContainsKey("Description") = False, "", list("Description").ToString())
        Dim service As New localhost.WebService1
        service.Insert(list("Id").ToString(), list("Subject").ToString(), descriptionValue.ToString(), Convert.ToDateTime(list("StartTime")).ToUniversalTime().ToString(), Convert.ToDateTime(list("EndTime")).ToUniversalTime().ToString(), Convert.ToBoolean(list("AllDay")))
        Me.BindAppointments()
    End Sub

    Protected Sub Schedule1_ServerAppointmentEdited(sender As Object, e As Syncfusion.JavaScript.Web.ScheduleEventArgs)
        Arguments = TryCast(e.Arguments("appointment"), Dictionary(Of String, Object))
        Dim list = TryCast(Arguments, Dictionary(Of String, Object))
        descriptionValue = If(list.ContainsKey("Description") = False, "", list("Description").ToString())
        service.Update(list("Id").ToString(), list("Subject").ToString(), descriptionValue.ToString(), Convert.ToDateTime(list("StartTime")).ToUniversalTime().ToString(), Convert.ToDateTime(list("EndTime")).ToUniversalTime().ToString(), Convert.ToBoolean(list("AllDay")))
        Me.BindAppointments()
    End Sub

    Protected Sub Schedule1_ServerAppointmentDeleted(sender As Object, e As Syncfusion.JavaScript.Web.ScheduleEventArgs)
        Arguments = TryCast(e.Arguments("appointment")(0), Dictionary(Of String, Object))
        Dim list = TryCast(Arguments, Dictionary(Of String, Object))
        service.Delete(list("Id").ToString())
        Me.BindAppointments()
    End Sub

    Protected Sub Schedule1_ServerResizeStop(sender As Object, e As Syncfusion.JavaScript.Web.ScheduleEventArgs)
        Arguments = TryCast(e.Arguments("appointment"), Dictionary(Of String, Object))
        Dim list = TryCast(Arguments, Dictionary(Of String, Object))
        descriptionValue = If(list.ContainsKey("Description") = False, "", list("Description").ToString())
        service.Update(list("Id").ToString(), list("Subject").ToString(), descriptionValue.ToString(), Convert.ToDateTime(list("StartTime")).ToUniversalTime().ToString(), Convert.ToDateTime(list("EndTime")).ToUniversalTime().ToString(), Convert.ToBoolean(list("AllDay")))
        Me.BindAppointments()
    End Sub

    Protected Sub Schedule1_ServerDragStop(sender As Object, e As Syncfusion.JavaScript.Web.ScheduleEventArgs)
        Arguments = TryCast(e.Arguments("appointment"), Dictionary(Of String, Object))
        Dim list = TryCast(Arguments, Dictionary(Of String, Object))
        descriptionValue = If(list.ContainsKey("Description") = False, "", list("Description").ToString())
        service.Update(list("Id").ToString(), list("Subject").ToString(), descriptionValue.ToString(), Convert.ToDateTime(list("StartTime")).ToUniversalTime().ToString(), Convert.ToDateTime(list("EndTime")).ToUniversalTime().ToString(), Convert.ToBoolean(list("AllDay")))
        Me.BindAppointments()
    End Sub
End Class